# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/pwm/thead,th1520-pwm.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: T-HEAD TH1520 PWM controller

maintainers:
  - Michal Wilczynski <m.wilczynski@samsung.com>

allOf:
  - $ref: pwm.yaml#

properties:
  compatible:
    const: thead,th1520-pwm

  reg:
    maxItems: 1

  clocks:
    items:
      - description: SoC PWM clock

  "#pwm-cells":
    const: 3

required:
  - compatible
  - reg
  - clocks

unevaluatedProperties: false

examples:
  - |
    #include <dt-bindings/clock/thead,th1520-clk-ap.h>
    soc {
      #address-cells = <2>;
      #size-cells = <2>;
      pwm@ffec01c000 {
          compatible = "thead,th1520-pwm";
          reg = <0xff 0xec01c000 0x0 0x4000>;
          clocks = <&clk CLK_PWM>;
          #pwm-cells = <3>;
      };
    };
